﻿Imports System.ComponentModel

''' <summary>
''' Dock Padding Property시 사용
''' </summary>
''' <remarks>
''' 2015-06-30 민유진 Created.
''' </remarks>
<TypeConverter(GetType(ExpandableObjectConverter)), Description("NABiMarginCLS")> _
Public Class MarginCLS
    Inherits ExpandableObjectConverter

    'NABi 기본 Padding은 2픽셀
    Private miPaddingLeft As Integer = 2
    Private miPaddingRight As Integer = 2
    Private miPaddingTop As Integer = 2
    Private miPaddingBottom As Integer = 2

    <DescriptionAttribute("Set the Padding Left")> _
    Public Property NABiPaddingLeft() As Integer
        Get
            Return miPaddingLeft
        End Get
        Set(ByVal Value As Integer)
            miPaddingLeft = Value
        End Set
    End Property

    <DescriptionAttribute("Set the Padding Top")> _
    Public Property NABiPaddingTop() As Integer
        Get
            Return miPaddingTop
        End Get
        Set(ByVal Value As Integer)
            Me.miPaddingTop = Value
        End Set
    End Property

    <DescriptionAttribute("Set the Padding Right")> _
    Public Property NABiPaddingRight() As Integer
        Get
            Return miPaddingRight
        End Get
        Set(ByVal Value As Integer)
            Me.miPaddingRight = Value
        End Set
    End Property

    <DescriptionAttribute("Set the Padding Bottom")> _
    Public Property NABiPaddingBottom() As Integer
        Get
            Return miPaddingBottom
        End Get
        Set(ByVal Value As Integer)
            Me.miPaddingBottom = Value
        End Set
    End Property

    ''' <summary>
    ''' ToString => Left, Top, Right, Bottom
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2015-06-30 민유진 Created.
    ''' </remarks>
    Public Overrides Function ToString() As String
        Return NABiPaddingLeft & ", " & NABiPaddingTop & ", " & NABiPaddingRight & ", " & NABiPaddingBottom
    End Function

    ' ''' <summary>
    ' ''' Property Sort.. 가 안되네..
    ' ''' </summary>
    ' ''' <param name="context"></param>
    ' ''' <param name="value"></param>
    ' ''' <param name="attributes"></param>
    ' ''' <returns></returns>
    ' ''' <remarks></remarks>
    'Public Overrides Function GetProperties(context As ITypeDescriptorContext, value As Object, attributes() As Attribute) As PropertyDescriptorCollection

    '    Return TypeDescriptor.GetProperties(attributes).Sort({"NABiPaddingLeft", "NABiPaddingTop", "NABiPaddingRight", "NABiPaddingBottom"})

    'End Function


End Class
