﻿Imports System.ComponentModel

Public Class NABiDayView
    Inherits Infragistics.Win.UltraWinSchedule.UltraDayView
    Implements iNABiControlProperty

    Private meUseNABiStyle As ENUM_TRUEFALSE = ENUM_TRUEFALSE.NONE

#Region " Properties "

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiUseFontStyle As ENUM_TRUEFALSE Implements iNABiControlProperty.NABiUseFontStyle


    <CategoryAttribute("NABi Design"), Browsable(True), Description("NABi Style 설정")>
    Public Property NABiUseNABiStyle As ENUM_TRUEFALSE Implements iNABiControlProperty.NABiUseNABiStyle
        Get
            Return meUseNABiStyle
        End Get
        Set(ByVal Value As ENUM_TRUEFALSE)
            meUseNABiStyle = Value
            If meUseNABiStyle = ENUM_TRUEFALSE.TRUE Then
                NABiSetNABiStyle()
            End If
        End Set

    End Property

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiDataProtect As ENUM_TRUEFALSE Implements iNABiControlProperty.NABiDataProtect

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiDataType As ENUM_PROTECTDATA Implements iNABiControlProperty.NABiDataType

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiBindDTL As ENUM_BINDDETAIL Implements iNABiControlProperty.NABiBindDTL

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiBindMaster As ENUM_BINDMASTER Implements iNABiControlProperty.NABiBindMaster

#End Region

#Region " Public Methods "

    Public Sub NABiSetFontStyle(peFontStyle As ENUM_TRUEFALSE) Implements iNABiControlProperty.NABiSetFontStyle
        'Nothing
    End Sub

#End Region

    Private Sub NABiSetNABiStyle()

        If meUseNABiStyle = ENUM_TRUEFALSE.TRUE Then
            If DesignMode Then
                Me.Appearance.BackColor = Color.White
                Me.Appearance.BorderColor = Color.FromArgb(224, 224, 224)
                Me.NonWorkingHourTimeSlotAppearance.BackColor = Color.White
                Me.SelectedTimeSlotAppearance.BackColor = Color.FromArgb(212, 235, 243)
                Me.WorkingHourTimeSlotAppearance.BackColor = Color.White
            End If
        End If

    End Sub

End Class
