﻿Imports System.ComponentModel

Public Class NABiMarginPanel
    Inherits Windows.Forms.Panel
    Implements iNABiControlProperty


#Region " Private Fields "

    'Private moMarginCLS As New MarginCLS
    Private moPadding As Padding
    Private Const CST_MARGIN As Integer = 5
#End Region

#Region " Properties "

    <CategoryAttribute("NABi Design"), Browsable(True), _
    DescriptionAttribute("Panel에 Padding 설정")> _
    Public Property NABiPanelMargin As Padding
        Get
            Return moPadding
        End Get

        Set(value As Padding)
            moPadding = value
            Me.Padding = moPadding
            Invalidate()
        End Set
    End Property

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiUseFontStyle As ENUM_TRUEFALSE Implements iNABiControlProperty.NABiUseFontStyle

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiUseNABiStyle As ENUM_TRUEFALSE Implements iNABiControlProperty.NABiUseNABiStyle

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiDataProtect As ENUM_TRUEFALSE Implements iNABiControlProperty.NABiDataProtect

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiDataType As ENUM_PROTECTDATA Implements iNABiControlProperty.NABiDataType

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiBindDTL As ENUM_BINDDETAIL Implements iNABiControlProperty.NABiBindDTL

    <CategoryAttribute("NABi Design"), Browsable(False), Description("숨김 속성")>
    Public Property NABiBindMaster As ENUM_BINDMASTER Implements iNABiControlProperty.NABiBindMaster

#End Region

#Region " Constructors "

    Public Sub New()
        moPadding.Left = CST_MARGIN
        moPadding.Top = CST_MARGIN
        moPadding.Right = CST_MARGIN
        moPadding.Bottom = CST_MARGIN
    End Sub

#End Region

#Region " Private Methods "

    Public Sub NABiSetFontStyle(peFontStyle As ENUM_TRUEFALSE) Implements iNABiControlProperty.NABiSetFontStyle
        'Nothing
    End Sub

#End Region

End Class
