﻿
Imports FarPoint.Win.Spread

Public Class Form3


    Private mbKeyDownEscape As Boolean = False  'ESC키가 눌렸는지 체크

    Private Sub Form3_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        If mbKeyDownEscape AndAlso NaBiSpread2.NABiGetSearchMode Then
            e.Cancel = True
            NaBiSpread2.NABiStopSearchMode()
            mbKeyDownEscape = False
        End If
    End Sub

    Private Sub Form3_KeyDown(sender As Object, e As KeyEventArgs) Handles Me.KeyDown
        If e.KeyCode = Keys.Escape Then
            mbKeyDownEscape = True
        End If
    End Sub


    Private Sub Form3_Load(sender As Object, e As EventArgs) Handles Me.Load

        Infragistics.Win.AppStyling.StyleManager.Load("E:\NABi3.0_Project\NABi3.0\Exe\style\NABi.isl")

        Dim im As FarPoint.Win.Spread.InputMap

        im = NaBiSpread2.GetInputMap(InputMapMode.WhenAncestorOfFocused)
        im.Put(New Keystroke(Keys.Enter, Keys.None), SpreadActions.MoveToNextRow)
        im = NaBiSpread2.GetInputMap(InputMapMode.WhenFocused)
        im.Put(New Keystroke(Keys.Enter, Keys.None), SpreadActions.MoveToNextRow)

        im = NaBiSpread2.GetInputMap(InputMapMode.WhenFocused)
        im.Put(New Keystroke(Keys.Down, Keys.None), SpreadActions.MoveToNextRow)
        im = NaBiSpread2.GetInputMap(InputMapMode.WhenFocused)
        im.Put(New Keystroke(Keys.Up, Keys.None), SpreadActions.MoveToPreviousRow)

        im = NaBiSpread2.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenAncestorOfFocused)
        im.Put(New FarPoint.Win.Spread.Keystroke(Keys.Escape, Keys.None), SpreadActions.None)

        im = NaBiSpread2.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused)
        im.Put(New FarPoint.Win.Spread.Keystroke(Keys.Escape, Keys.None), SpreadActions.None)

        'Cancel Button을 연결시키면 FormManager와 Spread에서의 검색창에서 ESC key 이벤트 체크가 힘들다.
        'Form의 KeyDown이벤트로만 체크하자..
        Me.CancelButton = Nothing

        'Me.NaBiFormManager1.NABiUseNABiStyle = NABi.Framework.UIControls.ENUM_TRUEFALSE.TRUE

    End Sub

    Private Sub Form3_Fill_Panel_PaintClient(sender As Object, e As PaintEventArgs) Handles Form3_Fill_Panel.PaintClient

    End Sub

    Private Sub NaBiButton1_Click(sender As Object, e As EventArgs) Handles NaBiButton1.Click
        'Cancel Button을 연결시키면 FormManager와 Spread에서의 검색창에서 ESC key 이벤트 체크가 힘들다.
        'Form의 KeyDown이벤트로만 체크하자..
        Close()
    End Sub

    Private Sub NaBiTextBox1_Leave(sender As Object, e As EventArgs) Handles NaBiTextBox1.Leave
        MsgBox("Leave")
    End Sub

    Private Sub NaBiTextBox1_LostFocus(sender As Object, e As EventArgs) Handles NaBiTextBox1.LostFocus
        'MsgBox("LostFocus")
    End Sub

    Private Sub NaBiButton2_Click(sender As Object, e As EventArgs) Handles NaBiButton2.Click
        NaBiTextBox1.Focus()
    End Sub

    Private Sub NaBiTextBox1_ValueChanged(sender As Object, e As EventArgs) Handles NaBiTextBox1.ValueChanged

    End Sub
End Class